'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  API_STEERING: '"http://127.0.0.1:8000/api/v1/"',
  API_STEERING_SHOWS: '"http://127.0.0.1:8000/api/v1/shows/"',
  // OIDC endpoint of the pv/steering module
  API_STEERING_OIDC_URI: '"http://localhost:8000/openid"',
  // local callback handler that is called by the pv/steering OIDC module after login
  API_STEERING_OIDC_REDIRECT_URI: '"http://localhost:8080/static/oidc_callback.html"',
  // address that is called by the pv/steering OIDC module after logout - should be the dashboard entry point
  API_STEERING_OIDC_REDIRECT_URI_POSTLOGOUT: '"http://localhost:8080"'
})
